Loading...
Searching...
No Matches
MssqlSqlUtilBase::MssqlFunction Class Reference

represents a Mssql-specific function More...

## Public Member Functions

softlist | getCreateSql (__7_ hash opt)
| returns a string that can be used to create the function in the database
string | getDropSql (__7_ hash opt)
| returns a string that can be used to drop the function from the database
softlist | getRenameSql (string new_name, __7_ hash opt)
| returns a string that can be used to rename the function in the database
| setName (string new_name)
| sets the new name of the function

## Protected Member Functions

bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not

## Detailed Description

represents a Mssql-specific function

## Member Function Documentation

## getDropSql()

string MssqlSqlUtilBase::MssqlFunction::getDropSql | ( | __7_ hash | opt | ) |

returns a string that can be used to drop the function from the database

Parameters

  opt | this argument is ignored

## getRenameSql()

softlist MssqlSqlUtilBase::MssqlFunction::getRenameSql | ( | string | new_name,
|  | __7_ hash | opt )

returns a string that can be used to rename the function in the database

Parameters

  new_name | the new name of the object
  opt | this argument is ignored